#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int N,K;
    int A[N],br=0;
    scanf("%d %d",&N,&K);
    (1<=N)&&(N<=pow(10,6));
    (1<=K)&&(K<=pow(10,6));
    for (int i=0;i<N;i++)
        scanf("%d",&A[i]);
    for(int i=0;i<N;i++)
    {
        for(int j=i+1;j<N;j++)
        {
            if(A[i]==A[j])
            {
                br++;
                break;
            }
            if (br>=K)
            {
                printf("%d\n",K);
                printf("%d %d",A[j],A[i]);
            }
        }
    }



return 0;
}